ProjectWriterEnum (cpptasks 1.0b5 API)
Keywords: net.sf.antcontrib.cpptasks.ide.ProjectWriterEnum class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.antcontrib.cpptasks.ide
Class ProjectWriterEnum

    java.lang.Object
      org.apache.tools.ant.types.EnumeratedAttribute
          net.sf.antcontrib.cpptasks.ide.ProjectWriterEnum

    public final class ProjectWriterEnum

extends org.apache.tools.ant.types.EnumeratedAttribute

Enumeration of supported project file generators.

Supported project generators
cbuilderx | Borland C++BuilderX
msvc5 | Microsoft Visual C++ 97
msvc6 | Microsoft Visual C++ 6
msvc7 | Microsoft Visual C++.NET
msvc71 | Microsoft Visual C++.NET 2003
msvc8 | Microsoft Visual C++ 2005
msvc9 | Microsoft Visual C++ 2008
xcode | Apple Xcode

Author:
  Curt Arnold

Field Summary

Fields inherited from class org.apache.tools.ant.types.EnumeratedAttribute
`value`

Constructor Summary
`ProjectWriterEnum()`

Method Summary
`ProjectWriter` | `getProjectWriter()` Gets ProjectWriter associated with enumeration value.
`java.lang.String[]` | `getValues()` Gets acceptible values for enumeration.

Methods inherited from class org.apache.tools.ant.types.EnumeratedAttribute
`containsValue, getIndex, getValue, indexOfValue, setValue, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ProjectWriterEnum

    public ProjectWriterEnum()

Method Detail

### getProjectWriter

    public ProjectWriter getProjectWriter()

  Gets ProjectWriter associated with enumeration value.

  Returns:
    project writer

### getValues

    public java.lang.String[] getValues()

  Gets acceptible values for enumeration.

  Specified by:
    `getValues` in class `org.apache.tools.ant.types.EnumeratedAttribute`
  Returns:
    acceptible values

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2008 Ant-Contrib Project. All Rights Reserved.